<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\MorphTo;

class AccessToken extends BaseModel
{
    public function Tokenable(): MorphTo
    {
        return $this->morphTo('Tokenable', 'tokenable_type', 'tokenable_uuid');
    }
}
